# RPM specfile for gob module
# Generated Wed Feb 13 18:50:01 2002 GMT by Ximian build system
# $Id: bb_do,v 1.164 2002/02/11 18:53:17 peter Exp $
# from $Id: ximian-build.conf,v 1.8 2001/10/10 17:04:01 dobey Exp $

%define nam	gob
%define ver	1.0.12

Name:     	gob
Version: 	1.0.12
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.2 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages
URL:		ftp://ftp.5z.com/pub/gob/
Source0:	gob-1.0.12.tar.gz
Summary:	GTK+ Object Builder
Group:		Development/Tools

%description
GOB is a preprocesor which simplifies the writing of GTK+ objects in C.
The syntax is somewhat similar to that for Java, yacc and lex.

%files
%defattr(-, root, root)
/opt/gnome/bin/gob
/opt/gnome/man/man1/*
/opt/gnome/share/aclocal/gob.m4


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gob-1.0.12
    ;;
all)
%setup  -q -n gob-1.0.12
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Feb 13 2002 Ximian, Inc.

- Version: 1.0.12-1.ximian.1
- New Build

* Thu Nov  8 2001 thunder

- Version: 1.0.10-ximian.1
- Imported into packaging system.

